#!/bin/sh

ETCDIR="./etc"
HOSTFILE="${ETCDIR}/hosts"
NETWORKFUNCTIONFILE="${ETCDIR}/init.d/network_functions"
NETWORKFILE="${ETCDIR}/sysconfig/network"
LNSIP="172.17.0.1"
LNSHOSTNAME="lns"
LNSFQDNNAME="lns.ran.com"
SNMPIP="172.17.0.1"
SNMPHOSTNAME="snmp"
SNMPFQDNNAME="snmp.ran.com"
SYSLOGCONF="${ETCDIR}/syslog.conf"

#Some command will become useless as soon as you are running on release 3.2 or later

# Define LNS and SNMP server adress
sed -i "/${LNSHOSTNAME}/d" ${HOSTFILE}
sed -i "/${SNMPHOSTNAME}/d" ${HOSTFILE}

echo -e "$SNMPIP\t${SNMPHOSTNAME} ${SNMPFQDNNAME}" >> ${HOSTFILE}
echo -e "$LNSIP\t${LNSHOSTNAME} ${LNSFQDNNAME}" >> ${HOSTFILE}
# Add traces of openVPN client
echo -e "local2.* /mnt/fsuser-1/openvpn/traces/openvpn.log" >> ${SYSLOGCONF}

# Activate VPN
if grep -qs "VPN=" ${NETWORKFILE}; then
	if  grep -qs "VPN=no" ${NETWORKFILE}; then
		sed -i 's/VPN=no/VPN=yes/g' ${NETWORKFILE}
	fi
else
	echo -e "\n# VPN\n# set to yes if you use a VPN for securing your network communication\nVPN=yes\n" >> ${NETWORKFILE}
fi

# Apply patches specific to VPN
./tmp/patch -N -p1 -i network_functions.patch 2>/dev/null || true
./tmp/patch -N -p1 -i knetd_xml.patch 2>/dev/null || true
./tmp/patch -N -p1 -i udhcpc_sh.patch 2>/dev/null || true

rm -f ./tmp/patch network_functions.patch knetd_xml.patch udhcpc_sh.patch

